Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.jspbeans
Class GeneralPrefsBean

    java.lang.Object
      |
      +--com.beasys.portal.jspbeans.GeneralPrefsBean

public class GeneralPrefsBean
extends java.lang.Object

Provides standard bean set and methods to facilitate JSP page operation for general portal user preferences.

Constructor Summary
`GeneralPrefsBean()`

Method Summary
`java.lang.String` | `getEmail()` Retrieves the current email preference value.
`java.lang.String` | `getRefresh()` Retrieves the current refresh preference value.
`java.lang.String` | `getTimeZone()` Retrieves the current time zone preference value.
`void` | `setEmail(java.lang.String anEmail)` Sets the email preference value.
`void` | `setRefresh(java.lang.String aRefresh)` Sets the refresh preference value.
`void` | `setTimeZone(java.lang.String aTimeZone)` Sets the time zone preference value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneralPrefsBean

    public GeneralPrefsBean()

Method Detail

### setEmail

    public void setEmail(java.lang.String anEmail)

  Sets the email preference value.
  Parameters:
    `anEmail` - the new email value

### getEmail

    public java.lang.String getEmail()

  Retrieves the current email preference value.
  Returns:
    `String` the current email preference value

### setTimeZone

    public void setTimeZone(java.lang.String aTimeZone)

  Sets the time zone preference value.
  Parameters:
    `anEmail` - the new time zone value

### getTimeZone

    public java.lang.String getTimeZone()

  Retrieves the current time zone preference value.
  Returns:
    `String` the current time zone preference value

### setRefresh

    public void setRefresh(java.lang.String aRefresh)

  Sets the refresh preference value.
  Parameters:
    `anEmail` - the new refresh value

### getRefresh

    public java.lang.String getRefresh()

  Retrieves the current refresh preference value.
  Returns:
    `String` the current refresh preference value

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved